using Microsoft.Extensions.Logging;

namespace Inspectron.Epson.PrintServer.Printers;

public class EpsonPrinterFactory:IPrinterFactory
{
    private readonly ILogger _logger;

    public EpsonPrinterFactory(ILogger logger)
    {
        _logger = logger;
    }

    public IEpsonPrinter CreatePrinter()
    {
        return new EpsonPrinter(_logger);
    }
}